Bug 123412 - Improve Test Client to support subresources
Improve Test Client to support subresources
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: REST
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Ayub Khan
issues@webservices
: PLAN
Depends on: 107900
Blocks: 122918
  Show dependency treegraph
 
Reported: 2007-12-05 01:33 UTC by Peter Liu
Modified: 2008-01-20 23:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Liu 2007-12-05 01:33:06 UTC
Jersey 0.5 will have the ability to generated subresource locator information in the wadl. This will help with our test
client which currently does not provide ways to test subresource.

One possible way to take advantage of this feature is for the test page for each resource to contain a section showing
the possible subresources that can be tested so users can drill down and test all the dynamic resources.
Comment 1 Ayub Khan 2008-01-15 08:47:40 UTC
Fixed for NB6.1 M1
Comment 2 Lukas Jungmann 2008-01-20 23:26:23 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo